## ros-kinetic-pr2-gripper-sensor-msgs 1.0.10

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gripper_sensor_msgs)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS roscpp actionlib_msgs actionlib message_generation std_msgs)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
add_message_files(DIRECTORY msg
  FILES
  PR2GripperEventDetectorCommand.msg
  PR2GripperEventDetectorData.msg
  PR2GripperFindContactCommand.msg
  PR2GripperFindContactData.msg
  PR2GripperPressureData.msg
  PR2GripperReleaseCommand.msg
  PR2GripperReleaseData.msg
  PR2GripperSensorRawData.msg
  PR2GripperSensorRTState.msg
  PR2GripperSlipServoCommand.msg
  PR2GripperSlipServoData.msg
  PR2GripperGrabData.msg
  PR2GripperGrabCommand.msg
  PR2GripperForceServoCommand.msg
  PR2GripperForceServoData.msg
)


add_action_files(DIRECTORY action
  FILES
  PR2GripperEventDetector.action
  PR2GripperFindContact.action
  PR2GripperForceServo.action
  PR2GripperGrab.action
  PR2GripperRelease.action
  PR2GripperSlipServo.action
)

include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_INCLUDE_DIRS})
#uncomment if you have defined services
#add_service_files(

## Generate added messages and services with any dependencies listed here
generate_messages(
    DEPENDENCIES std_msgs actionlib_msgs#TODO DEPENDENCIES geometry_msgs std_msgs
)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS include roscpp actionlib_msgs actionlib std_msgs
    CATKIN_DEPENDS actionlib_msgs message_runtime# TODO
    INCLUDE_DIRS ${catkin_INCLUDE_DIRS}# TODO include
    LIBRARIES # TODO
)

=== debian/changelog ===
ros-kinetic-pr2-gripper-sensor-msgs (1.0.10-0xenial) xenial; urgency=high

  * Merge pull request #14 <https://github.com/pr2/pr2_gripper_sensor/issues/14> from PR2/fix_maintainer
    change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 11 Jul 2018 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.9-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.8-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 01 Jun 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.7-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 25 Mar 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.6-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 16 Mar 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.5-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.4-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 02 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.3-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor-msgs (1.0.2-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 09 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-gripper-sensor-msgs
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-std-msgs
Homepage: None
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-gripper-sensor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: The pr2_gripper_sensor_msgs package contains various actions and messages that are used in the pr2_gripper_sensor* packages.
 The structure of the API used by pr2_gripper_sensor_action, and pr2_gripper_sensor_controller packages is as follows: Users will send a goal to an Action in the message format of PR2Gripper*Command (where * replaces the name of the particular Action from pr2_gripper_sensor_action). Feedback and Result information for the action is then returned in the format of PR2Gripper*Data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-gripper-sensor-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
